#
# spec file for package cppi
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cppi
Version:        1.18
Release:        5.5
Summary:        C preprocessor directive indenter
License:        GPL-3.0+
Group:          Development/Languages/C and C++
Url:            http://savannah.gnu.org/projects/cppi/
Source0:        http://ftp.gnu.org/gnu/cppi/cppi-%{version}.tar.xz
Recommends:     %{name}-lang

%description
cppi indents the C preprocessor directives to reflect their nesting and ensures
that there is exactly one space character between each #if, #elif, #define
directive and the following token.

%lang_package

%prep
%setup -q

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%check
make check

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS THANKS TODO
%{_bindir}/cppi
%{_mandir}/man1/cppi.1*

%files lang -f %{name}.lang

%changelog
* Sun Jan  4 2015 p.drouand@gmail.com
- Update to version 1.18
  + Gnulib infrastructure updates.
  + Regenerate Makefile.in files using a version of automake that
    is not susceptible to CVE-2009-4029 or CVE-2012-3386.
- Get rid of old stuff
  + Remove BuildRoot: tag
  + Remove xz requirement
  + Remove redundant %%clean section
- cppi provides translations yet; add a lang subpackage
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jun  9 2011 lnussel@suse.de
- initial package version 1.15
